FileToString (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.file.transformers.FileToString class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file.transformers
Class FileToString

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.simple.SerializableToByteArray
              org.mule.transformer.simple.ObjectToByteArray
                  org.mule.transport.file.transformers.FileToByteArray
                      org.mule.transport.file.transformers.FileToString

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, DiscoverableTransformer, Transformer

    public class FileToString

extends FileToByteArray

`FileToString` reads file contents into a string.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.transformer.DiscoverableTransformer
`DEFAULT_PRIORITY_WEIGHTING, MAX_PRIORITY_WEIGHTING, MIN_PRIORITY_WEIGHTING`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`FileToString()`

Method Summary
`Object` | `doTransform(Object src, String encoding)` Simple implementation which relies on `FileToByteArray` to get a `byte[]` from the file beeing parsed and then transform it to a String with the correct encoding.

Methods inherited from class org.mule.transformer.simple.SerializableToByteArray
`getPriorityWeighting, isAcceptMuleMessage, isAcceptUMOMessage, setAcceptMuleMessage, setAcceptUMOMessage, setPriorityWeighting`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileToString

    public FileToString()

Method Detail

### doTransform

    public Object doTransform(Object src,
                              String encoding)
                       throws TransformerException

  Simple implementation which relies on `FileToByteArray` to get a `byte[]` from the file beeing parsed and then transform it to a String with the correct encoding. If the encoding isn't supported simply throw an exception, good tranformation or no transformation at all. NOTE: if a `byte[]` is passed in as a source object this transformer accepts it and tries the usual transformation.

  Overrides:
    `doTransform` in class `FileToByteArray`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.